PKIXCRLStoreSelector.Builder (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.jcajce

## Class PKIXCRLStoreSelector.Builder

- java.lang.Object
- - org.bouncycastle.jcajce.PKIXCRLStoreSelector.Builder

- Enclosing class:
    PKIXCRLStoreSelector<T extends java.security.cert.CRL>

      public static class PKIXCRLStoreSelector.Builder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PKIXCRLStoreSelector.Builder(java.security.cert.CRLSelector certSelector)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PKIXCRLStoreSelector<? extends java.security.cert.CRL>` | `build()`
    `PKIXCRLStoreSelector.Builder` | `setCompleteCRLEnabled(boolean completeCRLEnabled)` If set to `true` only complete CRLs are returned.
    `PKIXCRLStoreSelector.Builder` | `setDeltaCRLIndicatorEnabled(boolean deltaCRLIndicator)` If this is set to `true` the CRL reported contains the delta CRL indicator CRL extension.
    `void` | `setIssuingDistributionPoint(byte[] issuingDistributionPoint)` Sets the issuing distribution point.
    `void` | `setIssuingDistributionPointEnabled(boolean issuingDistributionPointEnabled)` Enables or disables the issuing distribution point check.
    `void` | `setMaxBaseCRLNumber(java.math.BigInteger maxBaseCRLNumber)` Sets the maximum base CRL number.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PKIXCRLStoreSelector.Builder

          public PKIXCRLStoreSelector.Builder(java.security.cert.CRLSelector certSelector)

  - ### Method Detail

    - #### setCompleteCRLEnabled

          public PKIXCRLStoreSelector.Builder setCompleteCRLEnabled(boolean completeCRLEnabled)

      If set to `true` only complete CRLs are returned.

      `setCompleteCRLEnabled(boolean)` and `setDeltaCRLIndicatorEnabled(boolean)` excluded each other.

      Parameters:
        `completeCRLEnabled` - `true` if only complete CRLs should be returned.

    - #### setDeltaCRLIndicatorEnabled

          public PKIXCRLStoreSelector.Builder setDeltaCRLIndicatorEnabled(boolean deltaCRLIndicator)

      If this is set to `true` the CRL reported contains the delta CRL indicator CRL extension.

      `setCompleteCRLEnabled(boolean)` and `setDeltaCRLIndicatorEnabled(boolean)` excluded each other.

      Parameters:
        `deltaCRLIndicator` - `true` if the delta CRL indicator extension must be in the CRL.

    - #### setMaxBaseCRLNumber

          public void setMaxBaseCRLNumber(java.math.BigInteger maxBaseCRLNumber)

      Sets the maximum base CRL number. Setting to `null` disables this cheack.

      This is only meaningful for delta CRLs. Complete CRLs must have a CRL number which is greater or equal than the base number of the corresponding CRL.

      Parameters:
        `maxBaseCRLNumber` - The maximum base CRL number to set.

    - #### setIssuingDistributionPointEnabled

          public void setIssuingDistributionPointEnabled(boolean issuingDistributionPointEnabled)

      Enables or disables the issuing distribution point check.
      Parameters:
        `issuingDistributionPointEnabled` - `true` to enable the issuing distribution point check.

    - #### setIssuingDistributionPoint

          public void setIssuingDistributionPoint(byte[] issuingDistributionPoint)

      Sets the issuing distribution point.

      The issuing distribution point extension is a CRL extension which identifies the scope and the distribution point of a CRL. The scope contains among others information about revocation reasons contained in the CRL. Delta CRLs and complete CRLs must have matching issuing distribution points.

      The byte array is cloned to protect against subsequent modifications.

      You must also enable or disable this criteria with `setIssuingDistributionPointEnabled(boolean)`.

      Parameters:
        `issuingDistributionPoint` - The issuing distribution point to set. This is the DER encoded OCTET STRING extension value.
      See Also:
        `PKIXCRLStoreSelector.getIssuingDistributionPoint()`

    - #### build

          public PKIXCRLStoreSelector<? extends java.security.cert.CRL> build()